Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/20007/?format=api
{ "ob_id": 20007, "uuid": "4f6b1b7bde0645d18bf8ce30e9326280", "title": "Landsat 5 (LS5) Thematic Mapper data from the Landsat Campaign", "abstract": "Landsat 5 carries both the TM (thematic mapper) and the MSS (multi-spectral scanner) sensors, though routine collection of MSS data was terminated in late 1992. The satellites orbit at an altitude of 705 km and provide a 16-day, 233-orbit cycle with a swath overlap that varies from 7 percent at the Equator to nearly 84 percent at 81 degrees north or south latitude. Landsat data is widely used in many fields including geology, agriculture, resource management, climate analysis etc. The Landsat program is jointly managed by the National Aeronautics and Space Administration (NASA) and the US Geological Survey (USGS). The NERC Earth Observation Data Centre (NEODC) now also holds the data.", "keywords": "", "publicationState": "working", "dataPublishedTime": null, "doiPublishedTime": null, "updateFrequency": "asNeeded", "status": "ongoing", "result_field": null, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/5234/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/529/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "THIS IS REQUIRED!", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/8334/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30129/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/76031/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/76032/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/76033/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/76035/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/76036/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/76037/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/76038/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/76034/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/8583/?format=api", "procedureComputation": null, "permissions": [], "discoveryKeywords": [] }